# Mark leads as used and stop follow-ups

Use the **markLeads** method to mark a lead as used and/or stop follow-ups.

## Request parameters

<table><thead><tr><th width="152.13330078125">Parameters</th><th>Required</th></tr></thead><tbody><tr><td><code>LeadCode</code></td><td><strong>Required (string)</strong><br>Unique system-generated identifier.</td></tr><tr><td><code>Used</code></td><td><strong>Required (boolean)</strong><br>With possible values: <code>TRUE</code> and <code>FALSE</code>.</td></tr><tr><td><code>StopFollowups</code></td><td><strong>Required (boolean)</strong><br>With possible values: <code>TRUE</code> and <code>FALSE</code>.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$markLead = [\
    'LeadCode' => '60E6C4B574',\
    'StopFollowups' => false,\
    'Used' => true\
];

$jsonRpcRequest = array (
    'method' => 'markLeads',
    'params' => array($sessionID, [$markLead]),
    'id' => $i++,
    'jsonrpc' => '2.0'
);

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

### Response sample

```php
class stdClass#18 (2) {
  public $Response =>
  string(37) "1 leads have been marked successfully"
  public $Errors =>
  array(0) {
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/leads/mark-leads-as-used-and-stop-follow-ups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
